// header file for multiple model adaptive estimation predictors

#ifndef MMAE_H
#define MMAE_H

#include "predictor.H"

class MMAE3Model;
class MMAE3ModelComp;
class MMAEMultiParam;

class MMAEPredictor : public Predictor
{
 public:
   MMAEPredictor(); 
   virtual ~MMAEPredictor();

   virtual void prepare(); // prepares object for prediction
   virtual Pose * predict(Pose *userpos, double pinterval); 
    
  protected:   
    MMAE3Model     *_mod3;
    MMAE3ModelComp *_mod3c;
    MMAEMultiParam *_mparam;

};



#endif
