// This header file defines the predictor holder which holds a list of all
// predictors for easy access.

#ifndef PHOLDER_H
#define PHOLDER_H

#include "../list.H"
#include "../types.H"

class Predictor;

// predictor holding class

class PredictorHolder
{
  public: 
    PredictorHolder();

    virtual ~PredictorHolder();

    FIGarray<Predictor *>& getPredictors() { return _plist; }
   
  protected:
    FIGarray<Predictor *> _plist;

};

#endif

